NX Open C++ Reference Guide
|
This builder allows the user to select a view in which component or solid body objects can be designated as section, non-sectioned, or neither <br> To create a new instance of this class, use @link Drawings::DraftingViewCollection::CreateSectionInViewBuilder Drawings::DraftingViewCollection::CreateSectionInViewBuilder @endlink <br>
Default values. More...
Public Types | |
enum | EditSxtype { EditSxtypeMakeNonSectioned, EditSxtypeMakeSectioned, EditSxtypeRemoveViewSpecific } |
Edit Section type. More... | |
Public Member Functions | |
NXOpen::Drawings::HiddenObjectsBuilder * | EditObjects () |
Returns the objects Created in NX6.0.0. | |
NXOpen::Drawings::SectionInViewBuilder::EditSxtype | EditType () |
Returns the type Created in NX6.0.0. | |
void | SetEditType (NXOpen::Drawings::SectionInViewBuilder::EditSxtype editType) |
Sets the type Created in NX6.0.0. | |
NXOpen::Drawings::SelectDraftingViewList * | Views () |
Returns the views Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This builder allows the user to select a view in which component or solid body objects can be designated as section, non-sectioned, or neither <br> To create a new instance of this class, use @link Drawings::DraftingViewCollection::CreateSectionInViewBuilder Drawings::DraftingViewCollection::CreateSectionInViewBuilder @endlink <br>
Default values.
Property | Value |
---|---|
EditType |
MakeNonSectioned |
Created in NX6.0.0.
Edit Section type.
NXOpen::Drawings::HiddenObjectsBuilder* NXOpen::Drawings::SectionInViewBuilder::EditObjects | ( | ) |
Returns the objects
Created in NX6.0.0.
License requirements : None
NXOpen::Drawings::SectionInViewBuilder::EditSxtype NXOpen::Drawings::SectionInViewBuilder::EditType | ( | ) |
Returns the type
Created in NX6.0.0.
License requirements : None
void NXOpen::Drawings::SectionInViewBuilder::SetEditType | ( | NXOpen::Drawings::SectionInViewBuilder::EditSxtype | editType | ) |
Sets the type
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
editType | edittype |
NXOpen::Drawings::SelectDraftingViewList* NXOpen::Drawings::SectionInViewBuilder::Views | ( | ) |
Returns the views
Created in NX6.0.0.
License requirements : None